Name:		pyxattr
Summary:	Extended attributes library wrapper for Python
Version:	0.5.1
%define base_release .3
Release:	3%{?dist}%{?base_release}
# Base: exclude cross arches for this package
ExcludeArch: mips64 ppca2 ppc476 ppcnf
#license version is precised on a website
License:	LGPLv2+
Group:		Development/Libraries
URL:		http://pyxattr.sourceforge.net/
Source:		https://github.com/downloads/iustin/pyxattr/pyxattr-%{version}.tar.gz
Source999: fivextra.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#libattr package is already forced by RPM
Requires:	python >= 2.2
#python-setuptools package is required since 0.4.0
BuildRequires:	python-devel, libattr-devel, python-setuptools

%description
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.

%package fivextra
Summary: FIV tests for %{name}
Group: fivextra
Prefix: /opt/fiv/ltp

%description fivextra
This package contains the testcases built from the package for %{name}


%prep
%setup -q -a 999

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

#Steps to package the pyxattr tests for FIV
for dir in `cd fivextra; find . -type d -not -name CVS`
do
 install -d $RPM_BUILD_ROOT/%{fivdir}/%{name}/$dir
 install -m 755 `find fivextra/$dir/* -type d -prune -o -print` $RPM_BUILD_ROOT/%{fivdir}/%{name}/$dir
done

install -d -m 755 $RPM_BUILD_ROOT/%{fivdir}/%{name}/tests
install -m 755 test/test_xattr.py $RPM_BUILD_ROOT/%{fivdir}/%{name}/tests
#The file test_xattr.py will be patched to execute the tests when SELinux is in Permissive mode
#To run the test when SELinux is disabled, the patch need not be applied, so keeping an alternate copy
install -m 755 test/test_xattr.py $RPM_BUILD_ROOT/%{fivdir}/%{name}/tests/test_xattr_selin_disabled.py

install -d $RPM_BUILD_ROOT/%{prefix}/testcases/bin
pushd $RPM_BUILD_ROOT/%{fivdir}/%{name}
make install
popd

%files fivextra
%{prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_libdir}/python*/site-packages/xattr.so
#Python Eggs already in source distribution
#(without compiled content, can be simple included in RPM package)
%{_libdir}/python*/site-packages/*egg-info
%doc COPYING NEWS README

%changelog
* Tue Jun 18 2013 baseuser@ibm.com
- Base-8.x spec file
